C

Qt Quick Ultralite minimal Example

cmake_minimum_required (VERSION 3.15)

project(minimal VERSION 0.0.1 LANGUAGES C CXX ASM)
if (NOT TARGET Qul::QuickUltralite)
    find_package(Qul)
endif()

add_executable(minimal)
qul_target_qml_sources(minimal minimal.qml)
target_link_libraries (minimal Qul::QuickUltralite Qul::QuickUltralitePlatform)
app_target_setup_os(minimal)
app_target_default_main(minimal minimal)

if(NOT CMAKE_CROSSCOMPILING AND NOT WIN32)
add_custom_command(TARGET minimal
    COMMAND strip minimal -o minimal.stripped
    DEPENDS minimal)
endif()